Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
multiple Python ABIs in EAPI <=2 is deprecated ???
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Tue Apr 19, 2011 3:45 am    Post subject: multiple Python ABIs in EAPI <=2 is deprecated ??? Reply with quote

Code:
localhost ramaswamy # eclean-dist
 * Building file list for distfiles cleaning...
 *
 * "/var/lib/layman/kde-sunset/media-sound/albumart/albumart-1.6.6.ebuild":
 * Deprecation Warning: Usage of distutils.eclass in packages not supporting installation
 * for multiple Python ABIs in EAPI <=2 is deprecated and will be banned on 2011-06-01.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.
 *
 *
 * "/var/lib/layman/kde-sunset/app-misc/releaseforge/releaseforge-1.1.ebuild":
 * Deprecation Warning: Usage of distutils.eclass in packages not supporting installation
 * for multiple Python ABIs in EAPI <=2 is deprecated and will be banned on 2011-06-01.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.
 *
 *
 * "/var/lib/layman/kde-sunset/app-misc/releaseforge/releaseforge-1.3.ebuild":
 * Deprecation Warning: Usage of distutils.eclass in packages not supporting installation
 * for multiple Python ABIs in EAPI <=2 is deprecated and will be banned on 2011-06-01.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.
 *



what needs to be done?
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2803
Location: Richmond, BC, Canada

PostPosted: Tue Apr 19, 2011 4:51 am    Post subject: Reply with quote

Nothing for now. Give them time to update the ebuilds.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Tue Apr 19, 2011 8:33 am    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software, problems with overlay ebuilds belong in US.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Tue Apr 19, 2011 12:24 pm    Post subject: Reply with quote

i did not think python packages are unsupported.
kde 3 files are not causing this error [i think]
eventually eclean-dist works and removes some files and saves space.
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
tomk
Bodhisattva
Bodhisattva


Joined: 23 Sep 2003
Posts: 7221
Location: Sat in front of my computer

PostPosted: Tue Apr 19, 2011 12:50 pm    Post subject: Reply with quote

padoor wrote:
i did not think python packages are unsupported.
kde 3 files are not causing this error [i think]

It's a problem with the KDE3 ebuilds mentioned, which are unsupported.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Tue Apr 19, 2011 1:08 pm    Post subject: Reply with quote

thanks tomk for pointing out the kde3 ebuilds causing these errors.
we cannot help kde3 ebuilds.
i will live with it anyways :)

my machine is not good enough for kde4 :(
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum